Subject: Re: [syzbot] [net?] WARNING in l2tp_exit_net

From: syzbot <[email-masked]>
Date: Fri, 15 Nov 2024 15:03:03 -0800

syzbot has bisected this issue to:

commit 73d33bd063c4cfef3db17f9bec3d202928ed8631
Author: James Chapman <[email-masked]>
Date:   Fri Aug 23 14:22:57 2024 +0000

    l2tp: avoid using drain_workqueue in l2tp_pre_exit_net

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=1306eb5f980000
start commit:   ccb35037c48a Merge branch 'net-lan969x-add-vcap-functional..
git tree:       net-next
final oops:     https://syzkaller.appspot.com/x/report.txt?x=1086eb5f980000
console output: https://syzkaller.appspot.com/x/log.txt?x=1706eb5f980000
kernel config:  https://syzkaller.appspot.com/x/.config?x=a9d1c42858837b59
dashboard link: https://syzkaller.appspot.com/bug?extid=332fe1e67018625f63c9
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=136a36a7980000

Reported-by: [email-masked]
Fixes: 73d33bd063c4 ("l2tp: avoid using drain_workqueue in l2tp_pre_exit_net")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection